import request from '@/utils/request'

// 查询企业信息员工列表
export function listEmployee(query) {
  return request({
    url: '/buyer/employee/list',
    method: 'get',
    params: query
  })
}
// 检查当前人员是否存在
export function checkEmployeeExits(query) {
  return request({
    url: '/buyer/employee/check',
    method: 'get',
    params: query
  })
}

// 查询企业信息员工详细
export function getEmployee(id) {
  return request({
    url: '/buyer/employee/' + id,
    method: 'get'
  })
}

// 新增企业信息员工
export function addEmployee(data) {
  return request({
    url: '/buyer/employee',
    method: 'post',
    data: data
  })
}

// 修改企业信息员工
export function updateEmployee(data) {
  return request({
    url: '/buyer/employee',
    method: 'put',
    data: data
  })
}

// 删除企业信息员工
export function delEmployee(id) {
  return request({
    url: '/buyer/employee/' + id,
    method: 'delete'
  })
}
